org.apache.fop.render.mif

## Class MIFFOEventHandlerMaker

- java.lang.Object
- - org.apache.fop.render.AbstractFOEventHandlerMaker
  - - org.apache.fop.render.mif.MIFFOEventHandlerMaker

-     public class MIFFOEventHandlerMaker
      extends AbstractFOEventHandlerMaker

  Maker class for MIF support.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIFFOEventHandlerMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getSupportedMimeTypes()`
    `FOEventHandler` | `makeFOEventHandler(FOUserAgent ua, java.io.OutputStream out)` Instantiates a new FOEventHandler.
    `boolean` | `needsOutputStream()`

    - ### Methods inherited from class org.apache.fop.render.AbstractFOEventHandlerMaker

      `isMimeTypeSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MIFFOEventHandlerMaker

          public MIFFOEventHandlerMaker()

  - ### Method Detail

    - #### makeFOEventHandler

          public FOEventHandler makeFOEventHandler(FOUserAgent ua,
                                                   java.io.OutputStream out)

      Instantiates a new FOEventHandler.
      Specified by:
        `makeFOEventHandler` in class `AbstractFOEventHandlerMaker`
      Parameters:
        `ua` - the user agent
        `out` - OutputStream for the FOEventHandler to use
      Returns:
        the newly instantiated FOEventHandler

    - #### needsOutputStream

          public boolean needsOutputStream()

      Specified by:
        `needsOutputStream` in class `AbstractFOEventHandlerMaker`
      Returns:
        Indicates whether this renderer requires an OutputStream to work with.

    - #### getSupportedMimeTypes

          public java.lang.String[] getSupportedMimeTypes()

      Specified by:
        `getSupportedMimeTypes` in class `AbstractFOEventHandlerMaker`
      Returns:
        an array of MIME types the renderer supports.

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.